---
title: '::after (:after)'
slug: 'Web/CSS/::after'
tags:
  - CSS
  - Layout
  - Pseudo-element
  - Reference
  - Selector
  - Web
---
<p>{{CSSRef}}</p>

<p><span class="seoSummary">In CSS, <strong><code>::after</code></strong> creates a <a href="/en-US/docs/Web/CSS/Pseudo-elements">pseudo-element</a> that is the last child of the selected element. It is often used to add cosmetic content to an element with the {{CSSxRef("content")}} property.</span> It is inline by default.</p>

<pre class="brush: css no-line-numbers  language-css notranslate"><code class="language-css"><span class="comment token">/* Add an arrow after links */</span>
<span class="selector token">a<span class="pseudo-class token">::after</span> </span><span class="punctuation token">{</span>
  <span class="property token">content: "</span></code>→<code class="language-css"><span class="property token">";</span>
<span class="punctuation token">}</span></code></pre>

<div class="note">
<p><strong>Note:</strong> The pseudo-elements generated by <code>::before</code> and <code>::after</code> are <a href="https://www.w3.org/TR/CSS2/generate.html#before-after-content">contained by the element's formatting box</a>, and thus don't apply to <em><a href="/en-US/docs/Web/CSS/Replaced_element">replaced elements</a></em> such as {{HTMLElement("img")}}, or to {{HTMLElement("br")}} elements.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">{{CSSSyntax}}</pre>

<div class="note">
<p><strong>Note:</strong> CSS3 introduced the <code>::after</code> notation (with two colons) to distinguish <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-classes</a> from <a href="/en-US/docs/Web/CSS/Pseudo-elements">pseudo-elements</a>. Browsers also accept <code>:after</code>, introduced in CSS2.</p>
</div>

<h2 id="Examples">Examples</h2>

<h3 id="Simple_usage">Simple usage</h3>

<p>Let's create two classes: one for boring paragraphs and one for exciting ones. We can use these classes to add pseudo-elements to the end of paragraphs.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p class="boring-text"&gt;Here is some plain old boring text.&lt;/p&gt;
&lt;p&gt;Here is some normal text that is neither boring nor exciting.&lt;/p&gt;
&lt;p class="exciting-text"&gt;Contributing to MDN is easy and fun.&lt;/p&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">.exciting-text::after {
  content: " &lt;- EXCITING!";
  color: green;
}

.boring-text::after {
  content: " &lt;- BORING";
  color: red;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Simple_usage', 500, 150)}}</p>

<h3 id="Decorative_example">Decorative example</h3>

<p>We can style text or images in the {{CSSxRef("content")}} property almost any way we want.</p>

<h4 id="HTML_2">HTML</h4>

<pre class="brush: html notranslate">&lt;span class="ribbon"&gt;Look at the orange box after this text. &lt;/span&gt;</pre>

<h4 id="CSS_2">CSS</h4>

<pre class="brush: css notranslate">.ribbon {
  background-color: #5BC8F7;
}

.ribbon::after {
  content: "This is a fancy orange box.";
  background-color: #FFBA10;
  border-color: black;
  border-style: dotted;
}</pre>

<h4 id="Result_2">Result</h4>

<p>{{EmbedLiveSample('Decorative_example', 450, 20)}}</p>

<h3 id="Tooltips">Tooltips</h3>

<p>This example uses <code>::after</code>, in conjunction with the <a href="/en-US/docs/Web/CSS/attr"><code>attr()</code></a> CSS expression and a <code>data-descr</code> <a href="/en-US/docs/Web/HTML/Global_attributes/data-*">custom data attribute</a>, to create tooltips. No JavaScript is required!</p>

<p>We can also support keyboard users with this technique, by adding a <code>tabindex</code> of <code>0</code> to make each <code>span</code> keyboard focusable, and using a CSS <code>:focus</code> selector. This shows how flexible <code>::before</code> and <code>::after</code> can be, though for the most accessible experience a semantic disclosure widget created in some other way (such as with <a href="/en-US/docs/Web/HTML/Element/details">details and summary</a> elements) is likely to be more appropriate.</p>

<h4 id="HTML_3">HTML</h4>

<pre class="brush: html notranslate">&lt;p&gt;Here we have some
  &lt;span tabindex="0" data-descr="collection of words and punctuation"&gt;text&lt;/span&gt; with a few
  &lt;span tabindex="0" data-descr="small popups that appear when hovering"&gt;tooltips&lt;/span&gt;.
&lt;/p&gt;
</pre>

<h4 id="CSS_3">CSS</h4>

<pre class="brush: css notranslate">span[data-descr] {
  position: relative;
  text-decoration: underline;
  color: #00F;
  cursor: help;
}

span[data-descr]:hover::after,
span[data-descr]:focus::after {
  content: attr(data-descr);
  position: absolute;
  left: 0;
  top: 24px;
  min-width: 200px;
  border: 1px #aaaaaa solid;
  border-radius: 10px;
  background-color: #ffffcc;
  padding: 12px;
  color: #000000;
  font-size: 14px;
  z-index: 1;
}</pre>

<h4 id="Result_3">Result</h4>

<p>{{EmbedLiveSample('Tooltips', 450, 120)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Pseudo-Elements', '#selectordef-after', '::after')}}</td>
   <td>{{Spec2('CSS4 Pseudo-Elements')}}</td>
   <td>No significant changes to the previous specification.</td>
  </tr>
  <tr>
   <td>{{Specname("CSS3 Animations", "", "animations on pseudo-element properties")}}</td>
   <td>{{Spec2("CSS3 Animations")}}</td>
   <td>Allows animations on properties defined on pseudo-elements.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Selectors', '#gen-content', '::after')}}</td>
   <td>{{Spec2('CSS3 Selectors')}}</td>
   <td>Introduces the two-colon syntax.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'generate.html#before-after-content', '::after')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>Initial definition, using the one-colon syntax.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.selectors.after")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{CSSxRef("::before")}}</li>
 <li>{{CSSxRef("content")}}</li>
</ul>
